<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('cooperatives', function (Blueprint $table) {
            $table->id();

            $table->string('companyName')->index();
            $table->string('companyPosition')->index();
            $table->string('companySite')->nullable();
            $table->string('companyNumber')->index();
            $table->string('yourName')->index();
            $table->string('yourWork')->index();
            $table->longText('yourMessage')->index();

            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('cooperatives');
    }
};
